Skip to main content
POST
Grant a service account access to a project, or change its rung
No plan can call this operation today. It needs a personal access token, and Nitsor does not issue personal access tokens.

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Path Parameters

id
string
required

The Project's projectId.

Required string length: 1 - 200

Body

application/json
idempotencyKey
string
required
Required string length: 1 - 200
rung
enum<string>
required
Available options:
read,
contribute,
operate,
admin
serviceAccountId
string
required
Required string length: 1 - 200

Response

Grant a service account access to a project, or change its rung

changed
boolean
required
endedDelegatedActions
enum<string>[]
required
Available options:
dataset-version:delete
previousRung
enum<string> | null
required
Available options:
read,
contribute,
operate,
admin
projectId
string
required
Minimum string length: 1
releasedAllHeldTasks
boolean
required
releasedHeldTasks
integer
required
Required range: x >= 0
rung
enum<string>
required
Available options:
read,
contribute,
operate,
admin
serviceAccountId
string
required
Minimum string length: 1